class DockerBuild

    def self.composer
        Composer
    end

    def self.symfony
        Symfony
    end

    def self.google
        Google
    end

    def self.data_container(docker_file_path)
        command = "docker build --no-cache #{docker_file_path}"
        output = `#{command}`

        puts output

        output_match = /(Successfully built )(.*)/.match(output)

        fail 'Docker failed to build the container!' unless output_match

        puts output_match[2]

        return output_match[2]
    end

end

require 'composer'
require 'docker/google'
require 'symfony/symfony'
