class Symfony

    def self.doctrine
        Doctrine
    end

    def self.purge_cache(data_container)
        puts `docker run --rm --volumes-from #{data_container} vjftw/data /bin/bash -l -c "mkdir -p app/cache"`
        puts `docker run --rm --volumes-from #{data_container} vjftw/data /bin/bash -l -c "rm -rf app/cache/*"`
        puts `docker run --rm --volumes-from #{data_container} vjftw/data /bin/bash -l -c "chmod -R 777 app/cache"`
    end

    def self.run_command(data_container, command)
        docker_command = "docker run --rm --volumes-from #{data_container} vjftw/php-cli app/console --ansi #{command}"

        puts docker_command

        return `#{docker_command}`
    end
end

require 'symfony/doctrine'